## GESTestClip GESTestClip — Render video and audio test patterns in a GESLayer |

## Functions

GESTestClip * | ges_test_clip_new ()
GESTestClip * | ges_test_clip_new_for_nick ()
gdouble | ges_test_clip_get_frequency ()
gdouble | ges_test_clip_get_volume ()
gboolean | ges_test_clip_is_muted ()

## Properties

gdouble | freq | Read / Write / Construct
gboolean | mute | Read / Write / Construct
gdouble | volume | Read / Write / Construct
GESVideoTestPattern | vpattern | Read / Write / Construct

## Types and Values

| GESTestClip
| GESTestClipClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESContainer
                    ╰── GESClip
                        ╰── GESSourceClip
                            ╰── GESTestClip

## Implemented Interfaces

GESTestClip implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

Useful for testing purposes.

You can use the ges_asset_request_simple API to create an Asset capable of extracting GESTestClip-s

## Functions

### ges_test_clip_new ()

    GESTestClip *
    ges_test_clip_new (void);

Creates a new GESTestClip.

#### Returns

The newly created GESTestClip, or `NULL` if there was an error.

[transfer floating][nullable]

### ges_test_clip_new_for_nick ()

    GESTestClip *
    ges_test_clip_new_for_nick (gchar *nick);

Creates a new GESTestClip for the provided `nick` .

#### Parameters

nick | the nickname for which to create the GESTestClip |

#### Returns

The newly created GESTestClip, or `NULL` if there was an error.

[transfer floating][nullable]

### ges_test_clip_get_frequency ()

    gdouble
    ges_test_clip_get_frequency (GESTestClip *self);

Get the frequency `self` generates.

#### Parameters

self | a GESTestClip |

#### Returns

The frequency `self` generates. See audiotestsrc element.

### ges_test_clip_get_volume ()

    gdouble
    ges_test_clip_get_volume (GESTestClip *self);

Get the volume of the test audio signal applied on `self` .

#### Parameters

self | a GESTestClip |

#### Returns

The volume of the test audio signal applied on `self` .

### ges_test_clip_is_muted ()

    gboolean
    ges_test_clip_is_muted (GESTestClip *self);

Let you know if the audio track of `self` is muted or not.

#### Parameters

self | a GESTestClip |

#### Returns

Whether the audio track of `self` is muted or not.

## Types and Values

### GESTestClip

    typedef struct _GESTestClip GESTestClip;

### GESTestClipClass

    typedef struct {
    } GESTestClipClass;

## Property Details

### The `“freq”` property

      “freq”                     gdouble

The frequency to generate for audio track elements.

Flags: Read / Write / Construct

Allowed values: [0,20000]

Default value: 440

### The `“mute”` property

      “mute”                     gboolean

Whether the sound will be played or not.

Flags: Read / Write / Construct

Default value: FALSE

### The `“volume”` property

      “volume”                   gdouble

The volume for the audio track elements.

Flags: Read / Write / Construct

Allowed values: [0,1]

Default value: 1

### The `“vpattern”` property

      “vpattern”                 GESVideoTestPattern

Video pattern to display in video track elements.

Flags: Read / Write / Construct

Default value: GES_VIDEO_TEST_PATTERN_SMPTE